org.eclipse.wst.jsdt.ui.actions

## Class FindOccurrencesInFileAction

- java.lang.Object
- - Action
  - - org.eclipse.wst.jsdt.ui.actions.SelectionDispatchAction
    - - org.eclipse.wst.jsdt.ui.actions.FindOccurrencesInFileAction

    public class FindOccurrencesInFileAction
    extends SelectionDispatchAction

Action to find all occurrences of a compilation unit member (e.g. fields, methods, types, and local variables) in a file.

Action is applicable to selections containing elements of type `IMember`.

This class may be instantiated; it is not intended to be subclassed.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`FindOccurrencesInFileAction(IViewPart part)` Creates a new `FindOccurrencesInFileAction`.
`FindOccurrencesInFileAction(IWorkbenchSite site)` Creates a new `FindOccurrencesInFileAction`.
`FindOccurrencesInFileAction(Page page)` Creates a new `FindOccurrencesInFileAction`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run(IStructuredSelection selection)` Executes this actions with the given selection.
`void` `run(ITextSelection ts)` Executes this actions with the given selection.
`void` `selectionChanged(IStructuredSelection selection)`
`void` `selectionChanged(ITextSelection selection)`

### Methods inherited from class org.eclipse.wst.jsdt.ui.actions.SelectionDispatchAction

`getSelection, getSelectionProvider, getShell, getSite, run, setSpecialSelectionProvider, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FindOccurrencesInFileAction

    public FindOccurrencesInFileAction(IViewPart part)

Creates a new `FindOccurrencesInFileAction`. The action requires that the selection provided by the view part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the part providing context information for this action

#### FindOccurrencesInFileAction

    public FindOccurrencesInFileAction(Page page)

Creates a new `FindOccurrencesInFileAction`. The action requires that the selection provided by the page's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `page` - the page providing context information for this action

#### FindOccurrencesInFileAction

    public FindOccurrencesInFileAction(IWorkbenchSite site)

Creates a new `FindOccurrencesInFileAction`. The action requires that the selection provided by the site's selection provider is of type `IStructuredSelection`.

Parameters:
  `site` - the site providing context information for this action

### Method Detail

#### selectionChanged

    public void selectionChanged(IStructuredSelection selection)

Overrides:
  `selectionChanged` in class `SelectionDispatchAction`

#### run

    public void run(IStructuredSelection selection)

Description copied from class: `SelectionDispatchAction`
Executes this actions with the given selection. This default implementation does nothing.

Overrides:
  `run` in class `SelectionDispatchAction`
Parameters:
  `selection` - the selection

#### selectionChanged

    public void selectionChanged(ITextSelection selection)

Overrides:
  `selectionChanged` in class `SelectionDispatchAction`

#### run

    public final void run(ITextSelection ts)

Description copied from class: `SelectionDispatchAction`
Executes this actions with the given selection. This default implementation does nothing.

Overrides:
  `run` in class `SelectionDispatchAction`
Parameters:
  `ts` - the selection